## *********************************************************
## 
## File autogenerated for the pr2_camera_synchronizer package 
## by the dynamic_reconfigure package.
## Please do not edit.
## 
## ********************************************************/

##**********************************************************
## Software License Agreement (BSD License)
##
##  Copyright (c) 2008, Willow Garage, Inc.
##  All rights reserved.
##
##  Redistribution and use in source and binary forms, with or without
##  modification, are permitted provided that the following conditions
##  are met:
##
##   * Redistributions of source code must retain the above copyright
##     notice, this list of conditions and the following disclaimer.
##   * Redistributions in binary form must reproduce the above
##     copyright notice, this list of conditions and the following
##     disclaimer in the documentation and/or other materials provided
##     with the distribution.
##   * Neither the name of the Willow Garage nor the names of its
##     contributors may be used to endorse or promote products derived
##     from this software without specific prior written permission.
##
##  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
##  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
##  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
##  FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
##  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
##  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
##  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
##  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
##  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
##  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
##  ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
##  POSSIBILITY OF SUCH DAMAGE.
##**********************************************************/

config_description = [{'srcline': 61, 'description': 'Projector pulse frequency in Hz.', 'max': 120.0, 'cconsttype': 'const double', 'ctype': 'double', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'projector_rate', 'edit_method': '', 'default': 60.0, 'level': 31, 'min': 40.0, 'type': 'double'}, {'srcline': 62, 'description': 'Length of the projector pulses in s. At high currents the hardware may limit the pulse length.', 'max': 0.002, 'cconsttype': 'const double', 'ctype': 'double', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'projector_pulse_length', 'edit_method': '', 'default': 0.002, 'level': 31, 'min': 0.001, 'type': 'double'}, {'srcline': 63, 'description': 'How far off-center the intermediate projector pulses are. Zero is on-center, one is touching the following pulse.', 'max': 1.0, 'cconsttype': 'const double', 'ctype': 'double', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'projector_pulse_shift', 'edit_method': '', 'default': 0.0, 'level': 31, 'min': 0.0, 'type': 'double'}, {'srcline': 64, 'description': 'Indicates whether the projector should be off, on when in use or on all the time.', 'max': 3, 'cconsttype': 'const int', 'ctype': 'int', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'projector_mode', 'edit_method': '{\'enum_description\': "The projector\'s operating mode.", \'enum\': [{\'srcline\': 46, \'description\': \'The projector is always off.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 1, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'ProjectorOff\'}, {\'srcline\': 47, \'description\': \'The projector is on if one of the cameras is using it.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 2, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'ProjectorAuto\'}, {\'srcline\': 48, \'description\': \'The projector is always on.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 3, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'ProjectorOn\'}]}', 'default': 2, 'level': 31, 'min': 1, 'type': 'int'}, {'srcline': 65, 'description': 'Indicates if the projector should turn off when the prosilica camera is exposing.', 'max': True, 'cconsttype': 'const bool', 'ctype': 'bool', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'prosilica_projector_inhibit', 'edit_method': '', 'default': False, 'level': 16, 'min': False, 'type': 'bool'}, {'srcline': 67, 'description': 'Indicates the frame rate for both stereo cameras in Hz. (Gets rounded to suitable divisors of projector_rate.)', 'max': 60.0, 'cconsttype': 'const double', 'ctype': 'double', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'stereo_rate', 'edit_method': '', 'default': 30.0, 'level': 3, 'min': 1.0, 'type': 'double'}, {'srcline': 69, 'description': 'Indicates the triggering mode of the wide stereo camera.', 'max': 4, 'cconsttype': 'const int', 'ctype': 'int', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'wide_stereo_trig_mode', 'edit_method': '{\'enum_description\': \'The triggering mode for the wide camera.\', \'enum\': [{\'srcline\': 52, \'description\': "The camera\'s frequency can be set independently of the projector frequency. There is no deterministic phase relation between projector firing and camera triggering.", \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 2, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'IgnoreProjector\'}, {\'srcline\': 53, \'description\': \'The camera always exposes while the projector is on.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 3, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'WithProjector\'}, {\'srcline\': 54, \'description\': \'The camera always exposes while the projector is off.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 4, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'WithoutProjector\'}]}', 'default': 4, 'level': 3, 'min': 2, 'type': 'int'}, {'srcline': 70, 'description': 'Indicates the triggering mode of the narrow stereo camera.', 'max': 5, 'cconsttype': 'const int', 'ctype': 'int', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'narrow_stereo_trig_mode', 'edit_method': '{\'enum_description\': \'The triggering mode for the narrow camera.\', \'enum\': [{\'srcline\': 52, \'description\': "The camera\'s frequency can be set independently of the projector frequency. There is no deterministic phase relation between projector firing and camera triggering.", \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 2, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'IgnoreProjector\'}, {\'srcline\': 53, \'description\': \'The camera always exposes while the projector is on.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 3, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'WithProjector\'}, {\'srcline\': 54, \'description\': \'The camera always exposes while the projector is off.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 4, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'WithoutProjector\'}, {\'srcline\': 55, \'description\': \'The camera alternates between frames with and without the projector.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 5, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'AlternateProjector\'}]}', 'default': 4, 'level': 3, 'min': 2, 'type': 'int'}, {'srcline': 72, 'description': 'Indicates the frame rate for the right forearm camera in Hz. (Gets rounded to suitable divisors of projector_rate.)', 'max': 60.0, 'cconsttype': 'const double', 'ctype': 'double', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'forearm_r_rate', 'edit_method': '', 'default': 30.0, 'level': 4, 'min': 1.0, 'type': 'double'}, {'srcline': 73, 'description': 'Indicates the triggering mode of the right forearm camera.', 'max': 4, 'cconsttype': 'const int', 'ctype': 'int', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'forearm_r_trig_mode', 'edit_method': '{\'enum_description\': \'The triggering mode for a forearm camera.\', \'enum\': [{\'srcline\': 51, \'description\': \'The camera does not use the trigger input.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 1, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'InternalTrigger\'}, {\'srcline\': 52, \'description\': "The camera\'s frequency can be set independently of the projector frequency. There is no deterministic phase relation between projector firing and camera triggering.", \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 2, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'IgnoreProjector\'}, {\'srcline\': 53, \'description\': \'The camera always exposes while the projector is on.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 3, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'WithProjector\'}, {\'srcline\': 54, \'description\': \'The camera always exposes while the projector is off.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 4, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'WithoutProjector\'}]}', 'default': 1, 'level': 4, 'min': 1, 'type': 'int'}, {'srcline': 75, 'description': 'Indicates the frame rate for the left forearm camera in Hz. (Gets rounded to suitable divisors of projector_rate.)', 'max': 60.0, 'cconsttype': 'const double', 'ctype': 'double', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'forearm_l_rate', 'edit_method': '', 'default': 30.0, 'level': 8, 'min': 1.0, 'type': 'double'}, {'srcline': 76, 'description': 'Indicates the triggering mode of the left forearm camera.', 'max': 4, 'cconsttype': 'const int', 'ctype': 'int', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'forearm_l_trig_mode', 'edit_method': '{\'enum_description\': \'The triggering mode for a forearm camera.\', \'enum\': [{\'srcline\': 51, \'description\': \'The camera does not use the trigger input.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 1, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'InternalTrigger\'}, {\'srcline\': 52, \'description\': "The camera\'s frequency can be set independently of the projector frequency. There is no deterministic phase relation between projector firing and camera triggering.", \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 2, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'IgnoreProjector\'}, {\'srcline\': 53, \'description\': \'The camera always exposes while the projector is on.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 3, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'WithProjector\'}, {\'srcline\': 54, \'description\': \'The camera always exposes while the projector is off.\', \'srcfile\': \'../cfg/CameraSynchronizer.cfg\', \'cconsttype\': \'const int\', \'value\': 4, \'ctype\': \'int\', \'type\': \'int\', \'name\': \'WithoutProjector\'}]}', 'default': 1, 'level': 8, 'min': 1, 'type': 'int'}, {'srcline': 78, 'description': 'Adds a time shift in seconds to the projector timing. Useful for debugging but not in normal use.', 'max': 0.10000000000000001, 'cconsttype': 'const double', 'ctype': 'double', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'projector_tweak', 'edit_method': '', 'default': 0.0, 'level': 31, 'min': -0.10000000000000001, 'type': 'double'}, {'srcline': 80, 'description': 'Does a hard reset of all the cameras using a long pulse on the trigger line. This parameter resets itself to false after 3 to 4 seconds.', 'max': True, 'cconsttype': 'const bool', 'ctype': 'bool', 'srcfile': '../cfg/CameraSynchronizer.cfg', 'name': 'camera_reset', 'edit_method': '', 'default': False, 'level': 31, 'min': False, 'type': 'bool'}]

min = {}
max = {}
defaults = {}
level = {}
type = {}
all_level = 0

for param in config_description:
    min[param['name']] = param['min']
    max[param['name']] = param['max']
    defaults[param['name']] = param['default']
    level[param['name']] = param['level']
    type[param['name']] = param['type']
    all_level = all_level | param['level']

CameraSynchronizer_ProjectorOff = 1
CameraSynchronizer_ProjectorAuto = 2
CameraSynchronizer_ProjectorOn = 3
CameraSynchronizer_InternalTrigger = 1
CameraSynchronizer_IgnoreProjector = 2
CameraSynchronizer_WithProjector = 3
CameraSynchronizer_WithoutProjector = 4
CameraSynchronizer_AlternateProjector = 5
